package com.bonus.core.account.v3.constants;

public enum AccOrdMixPayDealStateEnum {
   SUCCESS(1, "成功"),
   FAIL_ONLINE(2, "在线失败"),
   FAIL_OFFLINE(3, "离线失败");

   private final Integer key;
   private final String desc;

   private AccOrdMixPayDealStateEnum(Integer key, String desc) {
      this.key = key;
      this.desc = desc;
   }

   public static String getDesc(Integer key) {
      AccOrdMixPayDealStateEnum[] var1 = values();
      int var2 = var1.length;

      for(int var3 = 0; var3 < var2; ++var3) {
         AccOrdMixPayDealStateEnum temp = var1[var3];
         if (temp.getKey().equals(key)) {
            return temp.getDesc();
         }
      }

      return "";
   }

   public static AccOrdMixPayDealStateEnum getEnum(Integer key) {
      AccOrdMixPayDealStateEnum[] var1 = values();
      int var2 = var1.length;

      for(int var3 = 0; var3 < var2; ++var3) {
         AccOrdMixPayDealStateEnum temp = var1[var3];
         if (temp.getKey().equals(key)) {
            return temp;
         }
      }

      return null;
   }

   public Integer getKey() {
      return this.key;
   }

   public String getDesc() {
      return this.desc;
   }

}
